G21-2024 - Feature #1306
Feature # 1322 (Resolved): CODING
Feature # 1311 (Resolved): Implement Core Functionality For Coding Team
Learn Image Display and Loading (JPG, PNG) For Coding Team
12/13/2024 01:41 PM - Htar Aung THET

Status: Resolved Start date: 12/12/2024
Priority: Normal Due date: 01/09/2025
Assignee: GENKI MATSUNAGA % Done: 100%
Category: Estimated time: 2.00 hours
Target version: Spent time: 0.00 hour
Description

The Code team is tasked with implementing the functionality to display and load images in both JPG and PNG formats. Tasks
include:

Image Display:

Use appropriate libraries (e.g., HTML <img> tag, Python PIL/Pillow for Python, or JavaScript image elements) to display images on
the front-end.

Ensure images are responsive and properly scaled for different screen sizes.

Image Loading:

Implement the functionality to load images dynamically, allowing users to upload JPG and PNG files.

For web applications, use HTML file input (<input type="file">) and JavaScript to handle image loading.

For Python applications, use libraries like PIL or OpenCV to load and process images.

Error Handling:

Add checks to ensure that only JPG and PNG files are accepted. Provide error messages for unsupported formats.

History

#2 - 12/13/2024 01:41 PM - Htar Aung THET
- Assignee set to GENKI MATSUNAGA

#4 - 12/16/2024 07:32 PM - Htar Aung THET
- Parent task set to #1311

#5 - 12/18/2024 09:31 PM - Htar Aung THET
- % Done changed from 0 to 100

#6 - 12/19/2024 01:01 PM - Htar Aung THET
- Subject changed from Implement Image Display and Loading (JPG, PNG) For Coding Team to Learn Image Display and Loading (JPG, PNG) For
Coding Team

#7 - 01/09/2025 01:17 PM - Htar Aung THET
- Due date changed from 12/19/2024 to 01/09/2025

#8 - 01/16/2025 01:41 PM - Htar Aung THET

- Status changed from New to Resolved
